/* eslint-disable no-unused-vars */
import * as schemas from './schemas.d'
import * as responses from './responses.d'
/* eslint-enable no-unused-vars */

import axios from 'axios'

const request = axios.create({
  baseURL: '',
  timeout: 5000
})
<%
const paths = $.paths
for (const pathStr of Object.getOwnPropertyNames(paths)) {
  const path = paths[pathStr]
  for (const httpMethod of ["get", "post", "put", "pattch", "delete"]) {
    if (path[httpMethod]) {
      %><%- include('./api.ejs', {api: path[httpMethod], pathStr, httpMethod}) %><%
    }
  }
}
%>